<?php
function booleanToString($bool) {
	if ($bool) {
		return "True";
	} else {
		return "False";
	}
}

function toJsonSubjects($subjects, $jsonName, $inc_name = true, $inc_short = true) {
	$kommata = false;
	$json = '{"subjects": [';
	foreach ( $subjects as $subject ) {
		if ($kommata) {
			$json .= ',';
		} else {
			$kommata = true;
		}
		$json .= $subject->toJson ( $inc_name, $inc_short);
	}
	$json .= "]}";
	file_put_contents ( $jsonName , $json );
}

function toJsonEvents($subjects, $jsonName, $inc_name = true, $inc_short = true) {
	$kommata = false;
	$json = '{"events": [';
	foreach ( $subjects as $subject ) {
		if ($kommata) {
			$json .= ',';
		} else {
			$kommata = true;
		}
		$json .= $subject->eventsToJson ( $inc_name, $inc_short);
	}
	$json .= "]}";
	file_put_contents ( $jsonName , $json );
}

function parsSubject($html,$subject) {
	echo "Parsing " . $subject->getSearchName() . "\n";
	$html = $html->find('table[summary="Übersicht über alle Veranstaltungstermine"]',0);
	$html = $html->find('tr');
	array_shift($html);
	if(count($html)!=0){
		echo " - Events: " . count($html) . "\n";
		foreach($html as $event) {
			$subject->addEvent(new EVENT(fixDay($event->children()[1]->innertext),fixTimeStart($event->children()[2]->innertext),fixTimeEnd($event->children()[2]->innertext),$event->children()[5]->first_child()->innertext));
		}
	}
	return $subject;
}

function fixDay($day){
	$day = str_replace('	',"",$day);
	$day = str_replace(' ',"",$day);
	switch($day){
		case "Mo.":
			$day = 1;
			break;
		case "Di.":
			$day = 2;
			break;
		case "Mi.":
			$day = 3;
			break;
		case "Do.":
			$day = 4;
			break;
		case "Fr.":
			$day = 5;
			break;
		case "Sa.":
			$day = 6;
			break;
		case "So.":
			$day = 0;
			break;
		default:
			$day = -1;
	}
	return $day;
}

function fixTimeStart($time){
	$time= removeSpace($time);
	$time = html_entity_decode($time);
	$time = substr ( $time , 0 , 5 );
	return $time;
}

function fixTimeEnd($time){
	$time= removeSpace($time);
	$time = html_entity_decode($time);
	$time = substr ( $time , 12 , 15);
	return $time;
}

function removeSpace($text){
	$text = str_replace('	',"",$text);
	$text = str_replace(' ',"",$text);
	return $text;
}
?>
